package com.ynet.life.sujrb.action;

import com.alibaba.fastjson.JSONObject;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.log.GENELog;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.platform.action.YQSendMsgUtils;
import java.sql.Connection;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/YQSendMsgAction.class */
public class YQSendMsgAction extends LifeAction {
    private static final String ERROR_CODE = "ERSMS0001";
    public String mobileNos;
    public String mobileMessage;
    public String opeBranchId;
    public String opUserNo;
    public String type;
    private static final String CCC_COMPONENT = "【【发送短信（短消息平台）】】";

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v25, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r0v29, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v47, types: [java.lang.Throwable, java.lang.Exception] */
    public String execute(Context context) throws GENEException {
        GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "开始");
        YQSendMsgUtils utils = new YQSendMsgUtils();
        try {
            String mobiles = context.getDataValue(this.mobileNos).toString();
            String sendMsg = context.getDataValue(this.mobileMessage).toString();
            String sendBranch = "";
            String sendUserNo = "";
            if (this.opeBranchId != null && !this.opeBranchId.equals("")) {
                sendBranch = context.getDataValue(this.opeBranchId).toString();
            }
            if (this.opUserNo != null && !this.opUserNo.equals("")) {
                sendUserNo = context.getDataValue(this.opUserNo).toString();
            }
            if (this.type == null) {
                this.type = "";
            }
            boolean flag = true;
            if ("2".equals(this.type)) {
                flag = false;
            }
            Connection connection = LifeDBAccess.getConnection();
            ?? valueOf = String.valueOf(mobiles.split(",").length);
            try {
                try {
                    JSONObject returnJo = JSONObject.parseObject(utils.sendMessage(connection, sendBranch, sendUserNo, sendMsg, mobiles, (String) valueOf, this.type, flag));
                    if (!utils.getJSONObjectValue(returnJo, "ReturnStatus").equals("Success")) {
                        valueOf = new Exception(utils.getJSONObjectValue(returnJo, "发送失败：Message"));
                        throw valueOf;
                    }
                    GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "结束");
                    return "0";
                } catch (Exception e) {
                    String message = valueOf.getMessage();
                    String errorMsg = message;
                    if (message.indexOf("手机号格式错误") < 0 && errorMsg.indexOf("发送失败") < 0) {
                        errorMsg = "发送失败";
                    }
                    GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "发送短信失败：".concat(String.valueOf(e)));
                    throw new GENEException(ERROR_CODE, errorMsg);
                }
            } finally {
                if (connection != null) {
                    LifeDBAccess.releaseConnection(connection);
                }
            }
        } catch (NullPointerException unused) {
            GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "手机号为空");
            return "0";
        }
    }

    public void setMobileNos(String mobileNos) {
        this.mobileNos = mobileNos;
    }

    public void setMobileMessage(String mobileMessage) {
        this.mobileMessage = mobileMessage;
    }

    public void setOpeBranchId(String opeBranchId) {
        this.opeBranchId = opeBranchId;
    }

    public void setOpUserNo(String opUserNo) {
        this.opUserNo = opUserNo;
    }

    public void setType(String type) {
        this.type = type;
    }
}
